Backgroundrb install issue

I installed backgroundrb v0.2.1 via svn external per the README. But
when I go to start 'er up I get:

$ ./script/backgroundrb start
/usr/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:27:in
gem_original_require': no such file to load -- daemons (LoadError) from /usr/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:27:inrequire’
from
/home/xyzzy/public_html/site/vendor/plugins/backgroundrb/server/lib/backgroundrb_server.rb:2
from ./script/backgroundrb:27:in `require’
from ./script/backgroundrb:27

this line says

require 'backgroundrb_server'

What is wrong and how do I get that into the path?

Sorry if this is a bit OT also but I hope the fix is simple

thanks
sam

yes gem ‘Daemons’ and the gem ‘Slave’. Missed that part of the README,
sorry. thanks for the reply.

You need to install the daemons gem as well…

HTH

matt

On 9/4/07, sbeam [email protected] wrote:

/home/xyzzy/public_html/site/vendor/plugins/backgroundrb/server/lib/backgroundrb_server.rb:2

thanks
sam


Matt W.

Thermal Creative
http://blog.thermalcreative.com

This forum is not affiliated to the Ruby language, Ruby on Rails framework, nor any Ruby applications discussed here.

| Privacy Policy | Terms of Service | Remote Ruby Jobs